package co.pixelbeard.theanfieldwrap.audioPlayer;

import android.content.Context;

import com.tonyodev.fetch2.Download;

import co.pixelbeard.theanfieldwrap.data.Podcast;
import co.pixelbeard.theanfieldwrap.data.RealmPodcast;
import co.pixelbeard.theanfieldwrap.utils.BasePresenter;
import co.pixelbeard.theanfieldwrap.utils.BaseView;

public interface AudioPlayerContract {

    interface View extends BaseView<Presenter> {
        void updateUI(Download download);
    }

    interface Presenter extends BasePresenter {
        void downloadPodcast(Podcast podcast, Context context);

        void savePodcast(Podcast podcast, Download download);

        void recordAnalytic(String type, String variable, String secondVar);

        RealmPodcast getPodcastById(long id);
    }
}